Managed Service for OpenSearch API, REST: ChangeFreeze.GetLimits
Retrieves change freeze limits for the specified resource.
HTTP request
GET https://mdb.api.yandexcloud.kz/managed-opensearch/v1/changeFreezeLimits
Query parameters
|
Field |
Description |
|
resourceId |
string Required field. ID of the resource to get change freeze limits for. The maximum string length in characters is 50. |
Response
HTTP Code: 200 - OK
{
"resourceId": "string",
"constraints": {
"yearlyLimitSeconds": "string",
"maxPeriodSeconds": "string",
"minGapSeconds": "string",
"maxAdvanceSeconds": "string"
},
"usedSecondsThisYear": "string",
"remainingSecondsThisYear": "string"
}
|
Field |
Description |
|
resourceId |
string ID of the resource. |
|
constraints |
Constraints for change freezes. |
|
usedSecondsThisYear |
string (int64) Number of seconds already used this year. |
|
remainingSecondsThisYear |
string (int64) Number of seconds remaining this year. |
ChangeFreezeConstraints
|
Field |
Description |
|
yearlyLimitSeconds |
string (int64) Maximum total duration of change freezes per year, in seconds. |
|
maxPeriodSeconds |
string (int64) Maximum duration of a single change freeze, in seconds. |
|
minGapSeconds |
string (int64) Minimum gap between change freezes, in seconds. |
|
maxAdvanceSeconds |
string (int64) Maximum advance time for scheduling a change freeze, in seconds. |